Summary:        Tiny HTTP Client
Name:           perl-HTTP-Tiny
Version:        0.088
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-Tiny
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/HTTP-Tiny-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl-libs, perl-ExtUtils-MakeMaker
# Run-time:
BuildRequires:  perl-Carp, perl-Errno, perl-Fcntl, perl-IO, perl-MIME-Base64, perl-Socket, perl-Time-Local
# Tests:
BuildRequires:  perl-Exporter, perl-File-Basename, perl-PathTools, perl-File-Temp, perl-IPC-Cmd, perl-lib, perl-open, perl-Test-Simple
Requires:       perl-Carp, perl-Fcntl, perl-MIME-Base64, perl-Time-Local
Recommends:     perl-IO-Socket-IP, perl-IO-Socket-SSL, perl-Mozilla-CA

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Util\\)
%global __requires_exclude %{__requires_exclude}|^perl\\(BrokenCookieJar\\)
%global __requires_exclude %{__requires_exclude}|^perl\\(SimpleCookieJar\\)

%description
This is a very simple HTTP/1.1 client, designed for doing simple requests
without the overhead of a large framework like LWP::UserAgent.

It is more correct and more complete than HTTP::Lite. It supports proxies and
redirection. It also correctly resumes after EINTR.

If IO::Socket::IP 0.25 or later is installed, HTTP::Tiny will use it instead of
IO::Socket::INET for transparent support for both IPv4 and IPv6.

Cookie support requires HTTP::CookieJar or an equivalent class.



%prep
%autosetup -n HTTP-Tiny-%{version}

# Help generators to recognize Perl scripts
for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
%{_fixperms} '%{buildroot}'/*



%check
export HARNESS_OPTIONS=j$(nproc)
make test



%files
%license LICENSE
%doc Changes CONTRIBUTING.mkdn eg README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.088-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.088-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 02 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.088-1
- Upgrade to upstream version 0.088
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.082-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.082-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 21 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.082-1
- Initial building
